Bug 102031 - kickstart package list ignores -kernel directive
kickstart package list ignores -kernel directive
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 23:04 EDT by Damian Menscher
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Menscher 2003-08-08 23:04:54 EDT
Description of problem:
Installing to a SMP machine, I only want the kernel-smp package installed (and
not the kernel package).  This is to control the boot-order in grub, so up2date
doesn't change it on me, etc.

I install from a kickstart file, and added the directive
-kernel
to remove the UP kernel.  It got installed anyway.

How reproducible:
Always

Steps to Reproduce:
1.deselect kernel in kickstart file
2.rpm -qa | grep kernel

Actual Results:  I end up with both SMP and UP kernels installed.

Expected Results:  Should have only the SMP kernel.

Additional info:

/root/install.log shows:
Installing kernel-2.4.20-8.
Installing kernel-smp-2.4.20-8.
Installing kernel-pcmcia-cs-3.1.31-13.
Installing kernel-source-2.4.20-8.

A workaround is to do an rpm -e kernel in your postinstall script.
Comment 1 Jeremy Katz 2003-08-12 21:01:56 EDT
Fixed in CVS to not unilaterally select "kernel" if we've selected another
kernel package.
Comment 2 Jeremy Katz 2006-04-24 14:05:34 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.